libmwaw_applepict1::Value Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
libmwaw_applepict1::Value Struct Reference

Internal and low level: a class used to read and store all possible value. More...

## Public Member Functions
| Value ()
virtual | ~Value ()

## Public Attributes
DataType | m_type
| the stored type of the data More...
int | m_int
| the int value when type=WP_INT More...
MWAWColor | m_rgb
| the color when type=WP_COLOR or WP_CCOLOR More...
int | m_pat [8]
| the pattern when type=WP_PATTERN More...
std::string | m_text
| the text when type=WP_TEXT More...
Vec2i | m_point
| the point when type=WP_POINT More...
Box2i | m_box
| the rectangle when type=WP_RECT More...
std::vector< Vec2i > | m_listPoint
| the list of points which defined the polygon when type=WP_POLY More...
shared_ptr< Region > | m_region
| the region when type=WP_REGION More...
shared_ptr< Bitmap > | m_bitmap
| the bitmap when type=WP_BITMAP More...
shared_ptr< Pixmap > | m_pixmap
| the pixmap when type=WP_CBITMAP More...
shared_ptr< Pixpattern > | m_pixpattern
| the pixpat when type=WP_CPATTERN More...

## Friends
std::ostream & | operator<< (std::ostream &o, Value const &f)
| operator<< for Value More...

## Detailed Description

Internal and low level: a class used to read and store all possible value.

## Constructor & Destructor Documentation

libmwaw_applepict1::Value::Value | ( |  | ) |
| inline

virtual libmwaw_applepict1::Value::~Value | ( |  | ) |
| inlinevirtual

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Value const & | f
| ) |  |
| friend

operator<< for Value

## Member Data Documentation

shared_ptr<Bitmap> libmwaw_applepict1::Value::m_bitmap

the bitmap when type=WP_BITMAP

Referenced by libmwaw_applepict1::OpCode::readValue().

Box2i libmwaw_applepict1::Value::m_box

the rectangle when type=WP_RECT

Referenced by libmwaw_applepict1::OpCode::readValue().

int libmwaw_applepict1::Value::m_int

the int value when type=WP_INT

Referenced by libmwaw_applepict1::OpCode::readValue().

std::vector<Vec2i> libmwaw_applepict1::Value::m_listPoint

the list of points which defined the polygon when type=WP_POLY

Referenced by libmwaw_applepict1::OpCode::readValue().

int libmwaw_applepict1::Value::m_pat[8]

the pattern when type=WP_PATTERN

Referenced by libmwaw_applepict1::OpCode::readValue(), and Value().

shared_ptr<Pixmap> libmwaw_applepict1::Value::m_pixmap

the pixmap when type=WP_CBITMAP

Referenced by libmwaw_applepict1::OpCode::readValue().

shared_ptr<Pixpattern> libmwaw_applepict1::Value::m_pixpattern

the pixpat when type=WP_CPATTERN

Referenced by libmwaw_applepict1::OpCode::readValue().

Vec2i libmwaw_applepict1::Value::m_point

the point when type=WP_POINT

Referenced by libmwaw_applepict1::OpCode::readValue().

shared_ptr<Region> libmwaw_applepict1::Value::m_region

the region when type=WP_REGION

Referenced by libmwaw_applepict1::OpCode::readValue().

MWAWColor libmwaw_applepict1::Value::m_rgb

the color when type=WP_COLOR or WP_CCOLOR

Referenced by libmwaw_applepict1::OpCode::readValue().

std::string libmwaw_applepict1::Value::m_text

the text when type=WP_TEXT

Referenced by libmwaw_applepict1::OpCode::readValue().

DataType libmwaw_applepict1::Value::m_type

the stored type of the data

This can only be WP_INT, WP_COLOR, WP_PATTERN, WP_POINT, WP_POLY, WP_RECT, WP_REGION, WP_TEXT, WP_BITMAP

Referenced by libmwaw_applepict1::OpCode::readValue().

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx